Name:           ktorrent
Version:        5.1.0
Release:        %mkrel 1
Summary:        BitTorrent application by KDE
Group:          Networking/File transfer
License:        GPLv2+
Url:            https://www.kde.org/applications/internet/ktorrent/
Source0:        http://download.kde.org/stable/ktorrent/5.1/%{name}-%{version}.tar.xz
BuildRequires:  gmp-devel
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(taglib)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Torrent)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Kross)
BuildRequires:  cmake(KF5Plotting)
BuildRequires:  cmake(KF5Syndication)
BuildRequires:  cmake(KF5WebKit)
BuildRequires:  cmake(KF5DNSSD)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(LibKWorkspace)
BuildRequires:  cmake(Phonon4Qt5)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

# To avoid warnings on startup on other DEs than Plasma
Requires:       kinit
Requires:       kio

%description
KTorrent is a BitTorrent application by KDE which allows you to download files
using the BitTorrent protocol. It enables you to run multiple torrents at the
same time and comes with extended features to make it a full-featured client
for BitTorrent. Its main features are:

  o Queuing of torrents.
  o Global and per torrent speed limits.
  o Previewing of certain file types, build in (video and audio).
  o Importing of partially or fully downloaded files.
  o File prioritization for multi-file torrents.
  o Selective downloading for multi-file torrents.
  o Kick/ban peers with an additional IP Filter dialog for list/edit purposes.
  o UDP tracker support.
  o Support for private trackers and torrents.
  o Support for µTorrent's peer exchange.
  o Support for protocol encryption (compatible with Azureus).
  o Support for creating trackerless torrents.
  o Support for distributed hash tables (DHT, the Mainline version).
  o Support for UPnP to automatically forward ports on a LAN with dynamic
    assigned hosts.
  o Support for webseeds.
  o Scripting support via Kross and interprocess control via D-Bus interface.
  o System tray integration.
  o Tracker authentication support.
  o Connection though a proxy.
  o Scripting support via Kross and interprocess control via DBus interface.
  o In addition to the built-in functionality, there are some plugins
    available for KTorrent.

%files -f %{name}.lang
%doc ChangeLog
%license COPYING
%{_kf5_bindir}/*
%{_qt5_plugindir}/%{name}/
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_knotificationsdir}/%{name}.notifyrc
%{_kf5_iconsdir}/*/*/*/*

#-------------------------------------------------------------------------

%define ktcore_major 16
%define libktcore %mklibname ktcore %{ktcore_major}

%package -n     %{libktcore}
Summary:        Ktorrent library
Group:          System/Libraries

%description -n %{libktcore}
KTorrent library.

%files -n %{libktcore}
%{_kf5_libdir}/libktcore.so.%{ktcore_major}{,.*}

#-------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DLibGMP_INCLUDE_DIRS=%{multiarch_includedir}

%make_build

%install
%make_install -C build

# make it preferred over kget:
echo "InitialPreference=5" >> %{buildroot}%{_kf5_applicationsdir}/org.kde.ktorrent.desktop

%find_lang %{name} --with-html


%changelog
* Tue Feb 20 2018 daviddavid <daviddavid> 5.1.0-1.mga6
+ Revision: 1203413
- new version: 5.1.0
- update description

* Thu Mar 09 2017 wally <wally> 5.0.1-4.mga6
+ Revision: 1090733
- Rebuild for ARM

* Thu Mar 09 2017 wally <wally> 5.0.1-3.mga6
+ Revision: 1090596
- require kinit and kio to avoid warnings on startup on other DEs than plasma

* Sat Jun 25 2016 daviddavid <daviddavid> 5.0.1-2.mga6
+ Revision: 1037505
- backport some upstream fixes (one is for fix FTBFS)
- improve summary and description

* Tue Apr 19 2016 daviddavid <daviddavid> 5.0.1-1.mga6
+ Revision: 1003635
- new version: 5.0.1
- port to Qt5/kf5
- now libmajor is 16
- update URL and Source URL
- remove old and useless obsoletes

* Mon Feb 08 2016 umeabot <umeabot> 4.3.1-7.mga6
+ Revision: 950091
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.3.1-6.mga5
+ Revision: 741457
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.3.1-5.mga5
+ Revision: 681231
- Mageia 5 Mass Rebuild

* Fri Oct 25 2013 luigiwalser <luigiwalser> 4.3.1-4.mga4
+ Revision: 546902
- fix spelling error in library package summary (mga#11526)

* Sat Oct 19 2013 umeabot <umeabot> 4.3.1-3.mga4
+ Revision: 529519
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 4.3.1-2.mga4
+ Revision: 452357
- rebuild for new boost

* Sun Feb 03 2013 neoclust <neoclust> 4.3.1-1.mga3
+ Revision: 394240
- New Bugfix version

* Sat Jan 12 2013 umeabot <umeabot> 4.3.0-3.mga3
+ Revision: 356535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 tv <tv> 4.3.0-2.mga3
+ Revision: 322009
- requires kdebase4-runtime (fix critical error if missing)

* Sat Sep 01 2012 fwang <fwang> 4.3.0-1.mga3
+ Revision: 287020
- ktorrent-devel does not produce now
- update libmajor
- new version 4.3.0

* Wed Jun 13 2012 fwang <fwang> 4.2.1-1.mga3
+ Revision: 260162
- new version 4.2.1

* Tue Mar 06 2012 fwang <fwang> 4.2.0-1.mga2
+ Revision: 219468
- update file list
- new version 4.2.0 final

* Wed Jan 11 2012 juancho <juancho> 4.2-0.rc1.1.mga2
+ Revision: 194915
- Updated to 4.2rc1
- Did some cleanup (removed buildroot and defattr stuff)

* Wed Nov 23 2011 fwang <fwang> 4.1.3-1.mga2
+ Revision: 171233
- new version 4.1.3
- new version 4.1.2

* Thu Jun 16 2011 fwang <fwang> 4.1.1-1.mga2
+ Revision: 108086
- new version 4.1.1

* Sat Apr 09 2011 dmorgan <dmorgan> 4.1.0-1.mga1
+ Revision: 82564
- New version
  Remove libktupnp

* Fri Jan 14 2011 anssi <anssi> 4.0.5-1.mga1
+ Revision: 17558
- imported package ktorrent


* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 4.0.5-1mdv2011.0
+ Revision: 625976
- new version 4.0.5

* Mon Oct 18 2010 Funda Wang <fwang@mandriva.org> 4.0.4-1mdv2011.0
+ Revision: 586559
- new version 4.0.4

  + Shlomi Fish <shlomif@mandriva.org>
    - Fix a typo in the description.

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 4.0.3-1mdv2011.0
+ Revision: 574271
- update to new version 4.0.3

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 4.0.2-2mdv2011.0
+ Revision: 549967
- rebuild for new libktorrent

* Fri Jul 09 2010 Funda Wang <fwang@mandriva.org> 4.0.2-1mdv2011.0
+ Revision: 549883
- dso fix merged upstream
- new version 4.0.2

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - it requires kde >= 4.4.0

* Wed Jun 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.0.1-3mdv2010.1
+ Revision: 548145
+ rebuild (emptylog)

* Wed Jun 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.0.1-2mdv2010.1
+ Revision: 548136
- make ktorrent preferred over kget for .torrents

  + Funda Wang <fwang@mandriva.org>
    - new version 4.0.1
      (crashes fixing, reduce disk activities when downloding)

* Tue May 25 2010 Funda Wang <fwang@mandriva.org> 4.0.0-1mdv2010.1
+ Revision: 545840
- new version 4.0.0 final

* Tue May 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0-0.rc1.1mdv2010.1
+ Revision: 542035
- Update to 4.0Rc1
  Update buildrequires ( add libktorrent-devel )

* Sun Apr 04 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.0-0.beta2.1mdv2010.1
+ Revision: 531458
- new upstream release 4.0-0.beta2

  + Funda Wang <fwang@mandriva.org>
    - obsoletes old libs

* Tue Feb 09 2010 Funda Wang <fwang@mandriva.org> 4.0-0.beta1.2mdv2010.1
+ Revision: 503366
- rebuild for new gmp

* Tue Dec 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0-0.beta1.1mdv2010.1
+ Revision: 481586
- 4.0 beta1

* Thu Dec 17 2009 Funda Wang <fwang@mandriva.org> 3.3.2-1mdv2010.1
+ Revision: 479621
- new version 3.3.2

* Tue Nov 24 2009 Funda Wang <fwang@mandriva.org> 3.3.1-1mdv2010.1
+ Revision: 469410
- new version 3.3.1

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.3-3mdv2010.1
+ Revision: 465246
- Rebuild against new Qt

  + Raphaël Gertz <rapsys@mandriva.org>
    - Replace with real obsolete version
    - Obsolete old libraries

* Mon Nov 09 2009 Frederik Himpe <fhimpe@mandriva.org> 3.3-1mdv2010.1
+ Revision: 463714
- Update to new version 3.3

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 3.2.5-1mdv2010.1
+ Revision: 463295
- new version 3.2.5

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.4-1mdv2010.0
+ Revision: 448461
- Update to new version 3.2.4
- Remove patch integrated upstream

* Thu Aug 13 2009 Raphaël Gertz <rapsys@mandriva.org> 3.2.3-2mdv2010.0
+ Revision: 415794
- Add unbackported upstream patch to avoid startup crash

* Tue Aug 11 2009 Funda Wang <fwang@mandriva.org> 3.2.3-1mdv2010.0
+ Revision: 414521
- new version 3.2.3

* Tue Jun 02 2009 Funda Wang <fwang@mandriva.org> 3.2.2-1mdv2010.0
+ Revision: 382100
- New version 3.2.2

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 3.2.1-1mdv2010.0
+ Revision: 369387
- New version 3.2.1

* Sat Feb 28 2009 Anssi Hannula <anssi@mandriva.org> 3.2-2mdv2009.1
+ Revision: 346192
- 3.2 final

  + Helio Chissini de Castro <helio@mandriva.com>
    - Recompile against new kdelibs

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 3.2-0.rc1.1mdv2009.1
+ Revision: 335758
- New version 3.2 rc1

* Thu Jan 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.2-0.beta1.4mdv2009.1
+ Revision: 335046
- Rebuild against new kde4

* Sun Jan 18 2009 Funda Wang <fwang@mandriva.org> 3.2-0.beta1.3mdv2009.1
+ Revision: 330973
- use upstream method to satisfy kde 4.1 and 4.2

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix link of ktorrent plasma applet
    - Enable plasmoids

* Sat Jan 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.2-0.beta1.2mdv2009.1
+ Revision: 330434
- Fix CMakeLists.txt for new kde 4.2
- Rebuild against new kde4

  + Funda Wang <fwang@mandriva.org>
    - patch not needed any more

* Tue Nov 18 2008 Funda Wang <fwang@mandriva.org> 3.2-0.beta1.1mdv2009.1
+ Revision: 304135
- New version 3.2 beta 1

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 3.1.5-1mdv2009.1
+ Revision: 303643
- New version 3.1.5

* Wed Oct 29 2008 Funda Wang <fwang@mandriva.org> 3.1.4-1mdv2009.1
+ Revision: 298552
- New version 3.1.4

* Mon Sep 29 2008 Helio Chissini de Castro <helio@mandriva.com> 3.1.3-1mdv2009.0
+ Revision: 289895
- New upstream bugfix release

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 3.1.2-1mdv2009.0
+ Revision: 264012
- New version 3.1.2
- Obsoletes old major

* Mon Jul 14 2008 Funda Wang <fwang@mandriva.org> 3.1.1-1mdv2009.0
+ Revision: 234536
- new libmajor of btcore
- New version 3.1.1

* Mon Jun 23 2008 Anssi Hannula <anssi@mandriva.org> 3.1-3mdv2009.0
+ Revision: 228287
- adapt obsoletes for upcoming backports

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 3.1-2mdv2009.0
+ Revision: 227421
- rebuild for fixed %%update_icon_cache/%%clean_icon_cache/%%post_install_gconf_schemas
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 17 2008 Funda Wang <fwang@mandriva.org> 3.1-1mdv2009.0
+ Revision: 222098
- New version 3.1 final

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Helio Chissini de Castro <helio@mandriva.com> 3.1-0.rc1.1mdv2009.0
+ Revision: 214405
- New upstream release candidate

* Tue May 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.1-0.beta2.1mdv2009.0
+ Revision: 209299
- Forgot to bump one major
- Fix majors
  Add obsoletes for older packages
  Clean spec file
- Fix Build
- Update to beta2

* Sun May 18 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.1-0.beta1.2mdv2009.0
+ Revision: 208799
-Try to add some obsoletes

* Sun May 11 2008 Anssi Hannula <anssi@mandriva.org> 3.1-0.beta1.1mdv2009.0
+ Revision: 205436
- ensure major correctness
- fix majors
- revert unneeded epoch

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to ktorrent 3.1  beta1

  + Funda Wang <fwang@mandriva.org>
    - New version 3.0.2

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added cache back, as pointed by Anssi
    - Obsoletes package kde4-ktorrent lower than 3.0.1 ( need add epoch )
    - Ktorrent 3.0.1 for KDE 4. Main applications now will be oriented to kde4.

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 2.2.5-1mdv2008.1
+ Revision: 158850
- New version 2.2.5

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-2mdv2008.1
+ Revision: 141741
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Funda Wang <fwang@mandriva.org> 2.2.4-1mdv2008.1
+ Revision: 111112
- New version 2.2.4

* Thu Nov 15 2007 Funda Wang <fwang@mandriva.org> 2.2.3-1mdv2008.1
+ Revision: 108895
- New version 2.2.3

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 2.2.2-1mdv2008.0
+ Revision: 75028
- New version 2.2.2

* Tue Jul 24 2007 Anssi Hannula <anssi@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 55038
- 2.2.1

* Wed Jul 04 2007 Anssi Hannula <anssi@mandriva.org> 2.2-1mdv2008.0
+ Revision: 48110
- use desktop-file-install and drop legacy menu file

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update for new 2.2 version

* Wed Jun 13 2007 Anssi Hannula <anssi@mandriva.org> 2.1.4-2mdv2008.0
+ Revision: 39020
- do not own %%_libdir/kde3 (fixes #31378)

* Wed Apr 25 2007 Anssi Hannula <anssi@mandriva.org> 2.1.4-1mdv2008.0
+ Revision: 18293
- 2.1.4

* Tue Apr 17 2007 Anssi Hannula <anssi@mandriva.org> 2.1.3-2mdv2008.0
+ Revision: 13954
- force -fPIC to prevent build failure
- drop libpackage


* Wed Apr 04 2007 Laurent Montel <lmontel@mandriva.com> 2.1.3-1mdv2007.1
+ Revision: 150472
- 2.1.3

* Sun Mar 11 2007 Anssi Hannula <anssi@mandriva.org> 2.1.2-2mdv2007.1
+ Revision: 141207
- workaround rpm bug #27417

* Sat Mar 10 2007 Laurent Montel <lmontel@mandriva.com> 2.1.2-1mdv2007.1
+ Revision: 140339
- 2.1.2

* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 2.1.1-1mdv2007.1
+ Revision: 133503
- 2.1.1

* Wed Feb 07 2007 Anssi Hannula <anssi@mandriva.org> 2.1-1mdv2007.1
+ Revision: 117197
- 2.1 final
- new major 2.1
- refresh patch2
- move plugins to main package as they are not versioned
- add a comment to .spec about the library packaging
- add %%update_desktop_database and %%update_icon_cache

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add Patch2: Fix Build
    - New Version 2.1Rc1
    - Fix File list
    - New release 2.0.3
    - import ktorrent-2.0.2-1mdv2007.0

* Thu Aug 31 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0.2-1
- 2.0.2

* Tue Aug 29 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0.1-1
- 2.0.1

* Tue Aug 15 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0-1
- 2.0

* Tue Jun 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-0.beta1.2mdv2007.0
- Fix conflicts with kdelibs-common

* Tue Jun 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-0.beta1.0mdv2007.0
- 2.0 Beta1
- Rediff Patch1
- Fix file list

* Sat May 27 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 1.2-4mdv2007.0
- fix requires (lib64)
- drop useless devel package
- add back icons for non-kde
- simplify %%files

* Sat May 27 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 1.2-3mdv2007.0
- add dependency on libtorrent

* Sat May 20 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2-2
- 1.2
- Add patch1: fix link
- Fix build on x86_64

* Tue Jul 19 2005 Per yvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdk
- fix summary (thx Bruno!)

* Tue Jul 19 2005 Per yvind Karlsen <pkarlsen@mandriva.com> 1.0-1mdk
- initial release (club request)

